Get Project Export Issues

gethttps://app.fossa.com/api/projects/{locator}/export-issues

This endpoint returns a list of all issues for a project. The issues are exported in a JSON (or CSV) format.

Path parameters

locatorstringrequired

the url-encoded locator of the project

Query parameters

formatenum

report format to return (JSON or CSV). If not provided, JSON will be returned.

jsoncsv
revisionIdstring

The revisionId of the project to get issues for. If not provided, the latest revision will be used.

statusenum

The status of the issues to return. If not provided, all active issues will be returned.

activeignored
refstring

the branch or tag to get issues for. If not provided, the default branch will be used.

ref_typeenum

Specify whether the ref is a branch or tag.

branchtag

Responses

200A report of all issues for the project. When `format=csv`, the report is served as a downloadable attachment with content type `application/octet-stream`; otherwise JSON is returned.
Package License Issuesobject[]
Dependencystring

The dependency that the issue is associated with.

Revisionstring

The revision of the dependency that the issue is associated with.

Flagged by Policystring

The policy that triggered the issue.

Issue Typestring

The type of issue.

Licensestring

The license that triggered the issue.

Affected Projectstring

The User Project that the issue is associated with.

FOSSA URLstring

A link to the project in the FOSSA UI.

Detailsstring

A description of the policy rule that triggered this issue (if available).

Dependency Depthsstring

The depth(s) of the dependency in the dependency tree.

Vulnerability Issuesobject[]
Namestring

The plaintext name of the CWE that affects the dependency.

Dependencystring

The dependency that the issue is associated with.

Revisionstring

The revision of the dependency that the issue is associated with.

CVEstring

The CVE that affects the dependency.

Affected Projectstring

The User Project that the issue is associated with.

FOSSA URLstring

A link to the project in the FOSSA UI.

CVSSstring

The CVSS Vector of the vulnerability.

CVSS Scorestring

The CVSS Score of the vulnerability.

CVSS Severitystring

The CVSS Severity of the vulnerability.

Detailsstring

A description of the Vulnerability that triggered this issue (if available).

Remediation Advicestring

The version of the dependency that fixes all vulnerabilities on this dependency (if available).

Dependency Depthsstring

The depth(s) of the dependency in the dependency tree.

Referencestring

Associated link to information on the vulnerability.

CWEstring

A CWE that affects the dependency.

Quality Issuesobject[]
Dependencystring

The dependency that the issue is associated with.

Revisionstring

The revision of the dependency that the issue is associated with.

Typestring

The type of issue.

FOSSA URLstring

A link to the project in the FOSSA UI.

Affected Projectstring

The User Project that the issue is associated with.

Detailsstring

A description of the policy rule that triggered this issue (if available).

Dependency Depthsstring

The depth(s) of the dependency in the dependency tree.

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404Not Found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

428Precondition Required - the provided revision is invalid
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/projects/%7Blocator%7D/export-issues
curl --request GET \  --url 'https://app.fossa.com/api/projects/%7Blocator%7D/export-issues' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

locatorstringrequired

the url-encoded locator of the project

Query params

formatenum

report format to return (JSON or CSV). If not provided, JSON will be returned.

revisionIdstring

The revisionId of the project to get issues for. If not provided, the latest revision will be used.

statusenum

The status of the issues to return. If not provided, all active issues will be returned.

refstring

the branch or tag to get issues for. If not provided, the default branch will be used.

ref_typeenum

Specify whether the ref is a branch or tag.